be.fgov.ehealth.technicalconnector.bootstrap.tsl.signature

## Class TrustServiceStatusListSignatureVerifier

- java.lang.Object
- - be.fgov.ehealth.technicalconnector.bootstrap.tsl.signature.TrustServiceStatusListSignatureVerifier

-     public final class TrustServiceStatusListSignatureVerifier
      extends Object

  Signature verifier for the TSL list

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROP_TSL_STORELOCATION` Property for setting the location of the TSL verification truststore
    `static String` | `PROP_TSL_STOREPWD` Property for setting the password of the TSL verification truststore
    `static String` | `PROP_TSL_STORETYPE` Property for setting the type, JKS or PKCS12, of the TSL verification trustore

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isValid(String xml)`
    `static void` | `reloadCertStore()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROP_TSL_STOREPWD

          public static final String PROP_TSL_STOREPWD

      Property for setting the password of the TSL verification truststore
      See Also:
        Constant Field Values

    - #### PROP_TSL_STORELOCATION

          public static final String PROP_TSL_STORELOCATION

      Property for setting the location of the TSL verification truststore
      See Also:
        Constant Field Values

    - #### PROP_TSL_STORETYPE

          public static final String PROP_TSL_STORETYPE

      Property for setting the type, JKS or PKCS12, of the TSL verification trustore
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isValid

          public static boolean isValid(String xml)

    - #### reloadCertStore

          public static void reloadCertStore()

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.